Deposit Status Endpoint
Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.
eroninternational deposit_id. It is obtained when creating the deposit.
Media type of the body sent to the API. (Note: For GET, typically no request body)
application/jsonISO8601 Datetime with Timezone. Example: 2020-06-24T17:13:21Z
Merchant X-Login API Key
Authentication signature hash
Unique idempotency key for ensuring that the same request is not processed more than once. (Typically for state-changing requests)
Deposit status successfully retrieved
ID generated for the user on eron end
ID of the deposit on eron end
ID of the Subscription that triggered the deposit
ID of the deposit on the merchant end
Country ISO code
Local currency code
Amount in local currency
Amount in USD
Amount in local currency
The amount specified as bonus in the request
Specifies if bonus_amount is absolute or relative
Payment method code
Type of the payment method
Status of the deposit
Reason why the deposit was rejected or expired. It is optional: it is null when there is no reason to report (for example, approved deposits). This list may grow over time; integrations should tolerate new values they do not recognize and must not fail when one appears.
Fee of the deposit
Currency of the fee
Shows if the deposit was refunded
Current payer verification result
Reference of the transaction on the provider end
Payment method used to complete the transaction
The deposit_id specified is not valid
Unauthorized access
The deposit_id specified could not be found
GET /v3/deposits/{deposit_id} HTTP/1.1
Host: api-stg.eroninternational.com
Content-Type: application/json
X-Date: 2026-01-01T00:00:00.000Z
X-Login: text
Authorization: text
Accept: */*
{
"user_id": "11",
"deposit_id": 300004285,
"invoice_id": "989409592",
"country": "BR",
"currency": "BRL",
"local_amount": 53162,
"usd_amount": 1000,
"bonus_amount": 100,
"bonus_relative": false,
"payment_method": "VI",
"payment_type": "CREDIT_CARD",
"status": "COMPLETED",
"payer": {
"document": "17532655253",
"document_type": "CPF",
"email": "[email protected]",
"first_name": "John",
"last_name": "Smith",
"address": {
"city": "Sao Paulo",
"state": "SP",
"street": "John Street 2453",
"zip_code": "938475-234"
}
},
"fee_amount": 2.5,
"fee_currency": "USD",
"refunded": false,
"current_payer_verification": "UNMATCHED",
"provider_external_reference": "741231231234",
"card_detail": {
"card_holder": "John Smith",
"brand": "Visa",
"masked_card": "1234 56** **** 6789",
"expiration": "2023-12",
"card_type": "DEBIT",
"transaction_result": "Transaction Approved"
}
}Last updated
Was this helpful?